Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRTextElement

All Superinterfaces:
  java.lang.Cloneable, JRAlignment, JRBox, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRCommonText, JRElement, JRFont, JRPropertiesHolder, JRStyleContainer, JRVisitable

All Known Subinterfaces:
  JRStaticText, JRTextField

All Known Implementing Classes:
  JRBaseStaticText, JRBaseTextElement, JRBaseTextField, JRDesignStaticText, JRDesignTextElement, JRDesignTextField, JRFillStaticText, JRFillTextElement, JRFillTextField

    public interface JRTextElement

extends JRElement, JRAlignment, JRBox, JRFont, JRCommonText

An abstract representation of a report text element. It provides basic functionality for static texts and text fields.

Version:
  $Id: JRTextElement.java 3585 2010-03-12 12:58:24Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `LINE_SPACING_1_1_2` Deprecated. Replaced by `LineSpacingEnum.ONE_AND_HALF`.
`static byte` | `LINE_SPACING_DOUBLE` Deprecated. Replaced by `LineSpacingEnum.DOUBLE`.
`static byte` | `LINE_SPACING_SINGLE` Deprecated. Replaced by `LineSpacingEnum.SINGLE`.
`static java.lang.String` | `PROPERTY_PRINT_KEEP_FULL_TEXT` Property used to determine whether the fill process must preserve the original text for text elements that are not able to fit their entire contents.
`static java.lang.String` | `PROPERTY_SAVE_LINE_BREAKS` Boolean property that determines whether the positions where text line break occurs are to be saved during report fill in oder to be used at export time.
`static java.lang.String` | `PROPERTY_TRUNCATE_AT_CHAR` Boolean property that determines whether text elements are to be truncated at the last character that fits.
`static java.lang.String` | `PROPERTY_TRUNCATE_SUFFIX` Property whose value is used as a suffix for the truncated text.
`static byte` | `ROTATION_LEFT` Deprecated. Replaced by `RotationEnum.LEFT`.
`static byte` | `ROTATION_NONE` Deprecated. Replaced by `RotationEnum.NONE`.
`static byte` | `ROTATION_RIGHT` Deprecated. Replaced by `RotationEnum.RIGHT`.
`static byte` | `ROTATION_UPSIDE_DOWN` Deprecated. Replaced by `RotationEnum.UPSIDE_DOWN`.
`static byte` | `TEXT_ALIGN_CENTER` Deprecated. Replaced by `JRAlignment.HORIZONTAL_ALIGN_CENTER`.
`static byte` | `TEXT_ALIGN_JUSTIFIED` Deprecated. Replaced by `JRAlignment.HORIZONTAL_ALIGN_JUSTIFIED`.
`static byte` | `TEXT_ALIGN_LEFT` Deprecated. Replaced by `JRAlignment.HORIZONTAL_ALIGN_LEFT`.
`static byte` | `TEXT_ALIGN_RIGHT` Deprecated. Replaced by `JRAlignment.HORIZONTAL_ALIGN_RIGHT`.

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Fields inherited from interface net.sf.jasperreports.engine.JRAlignment
`HORIZONTAL_ALIGN_CENTER, HORIZONTAL_ALIGN_JUSTIFIED, HORIZONTAL_ALIGN_LEFT, HORIZONTAL_ALIGN_RIGHT, VERTICAL_ALIGN_BOTTOM, VERTICAL_ALIGN_JUSTIFIED, VERTICAL_ALIGN_MIDDLE, VERTICAL_ALIGN_TOP`

Fields inherited from interface net.sf.jasperreports.engine.JRFont
`DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

Fields inherited from interface net.sf.jasperreports.engine.JRCommonText
`MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

Method Summary
`JRBox` | `getBox()` Deprecated. Replaced by `JRBoxContainer.getLineBox()`
`JRFont` | `getFont()` Deprecated.
`byte` | `getTextAlignment()` Deprecated. Replaced by `JRAlignment.getHorizontalAlignment()`.
`void` | `setStyledText(boolean isStyledText)` Deprecated. Replaced by `JRCommonText.setMarkup(String)`.
`void` | `setStyledText(java.lang.Boolean isStyledText)` Deprecated. Replaced by `JRCommonText.setMarkup(String)`.
`void` | `setTextAlignment(byte horizontalAlignment)` Deprecated. Replaced by `JRAlignment.setHorizontalAlignment(byte)`.

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`collectExpressions, getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRAlignment
`getHorizontalAlignment, getHorizontalAlignmentValue, getOwnHorizontalAlignment, getOwnHorizontalAlignmentValue, getOwnVerticalAlignment, getOwnVerticalAlignmentValue, getVerticalAlignment, getVerticalAlignmentValue, setHorizontalAlignment, setHorizontalAlignment, setHorizontalAlignment, setVerticalAlignment, setVerticalAlignment, setVerticalAlignment`

Methods inherited from interface net.sf.jasperreports.engine.JRBox
`getBorder, getBorderColor, getBottomBorder, getBottomBorderColor, getBottomPadding, getLeftBorder, getLeftBorderColor, getLeftPadding, getOwnBorder, getOwnBorderColor, getOwnBottomBorder, getOwnBottomBorderColor, getOwnBottomPadding, getOwnLeftBorder, getOwnLeftBorderColor, getOwnLeftPadding, getOwnPadding, getOwnRightBorder, getOwnRightBorderColor, getOwnRightPadding, getOwnTopBorder, getOwnTopBorderColor, getOwnTopPadding, getPadding, getRightBorder, getRightBorderColor, getRightPadding, getTopBorder, getTopBorderColor, getTopPadding, setBorder, setBorder, setBorderColor, setBottomBorder, setBottomBorder, setBottomBorderColor, setBottomPadding, setBottomPadding, setLeftBorder, setLeftBorder, setLeftBorderColor, setLeftPadding, setLeftPadding, setPadding, setPadding, setRightBorder, setRightBorder, setRightBorderColor, setRightPadding, setRightPadding, setTopBorder, setTopBorder, setTopBorderColor, setTopPadding, setTopPadding`

Methods inherited from interface net.sf.jasperreports.engine.JRFont
`getFontName, getFontSize, getOwnFontName, getOwnFontSize, getOwnPdfEncoding, getOwnPdfFontName, getOwnSize, getPdfEncoding, getPdfFontName, getReportFont, getSize, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFontName, setFontSize, setFontSize, setItalic, setItalic, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setReportFont, setSize, setSize, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonText
`getFontSize, getLineSpacing, getLineSpacingValue, getMarkup, getOwnLineSpacing, getOwnLineSpacingValue, getOwnMarkup, getOwnRotation, getOwnRotationValue, getRotation, getRotationValue, isOwnStyledText, isStyledText, setLineSpacing, setLineSpacing, setLineSpacing, setMarkup, setRotation, setRotation, setRotation`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor, getLineBox`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Field Detail

### PROPERTY_PRINT_KEEP_FULL_TEXT

    static final java.lang.String PROPERTY_PRINT_KEEP_FULL_TEXT

  Property used to determine whether the fill process must preserve the original text for text elements that are not able to fit their entire contents.

  When this property is set, the engine saves the original text in the `print text object` along with the index at which the text is to be truncated by the print object.

  This property can be set at the following levels (listed in the order of precedence):

  - at `text element` level
  - at `report` level
  - globally in jasperreports.properties or via `JRProperties`

  See Also:
    `JRPrintText.getFullText()`, `JRPrintText.getText()`, `JRPrintText.getTextTruncateIndex()`, Constant Field Values

### PROPERTY_TRUNCATE_AT_CHAR

    static final java.lang.String PROPERTY_TRUNCATE_AT_CHAR

  Boolean property that determines whether text elements are to be truncated at the last character that fits.

  By default, when the entire text of a text element does not fit the element's area, the text is truncated at the last word that fits the area. This property can instruct the engine to truncate the text at the last character that fits.

  The property can be set at the same levels as `PROPERTY_PRINT_KEEP_FULL_TEXT`.

  See Also:
    Constant Field Values

### PROPERTY_TRUNCATE_SUFFIX

    static final java.lang.String PROPERTY_TRUNCATE_SUFFIX

  Property whose value is used as a suffix for the truncated text.

  The suffix is appended to the text when truncation occurs. If the property is not defined or empty (which is the case by default), no suffix will be used when the text is truncated.

  The property can be set at the same levels as `PROPERTY_PRINT_KEEP_FULL_TEXT`.

  See Also:
    Constant Field Values

### PROPERTY_SAVE_LINE_BREAKS

    static final java.lang.String PROPERTY_SAVE_LINE_BREAKS

  Boolean property that determines whether the positions where text line break occurs are to be saved during report fill in oder to be used at export time.

  At report fill time, each text element is measured in order to determine how long it needs to stretch or where it needs to be truncated. During this measurement, the text wraps at certain positions in order to fit the text element defined width.

  Setting this property to true instructs the engine to save the positions at which line breaks occur in the generated print element. The positions can be used by report exporters that want to enforce line breaks to occur at exactly the same position as they did during text measurement at fill time.

  Currently, the HTML exporter will make use of the saved line break positions by introducing explicit line breaks.

  The property can be set globally, at report level or at text element level.

  See Also:
    `JRPrintText.getLineBreakOffsets()`, Constant Field Values

### TEXT_ALIGN_LEFT

    static final byte TEXT_ALIGN_LEFT

  Deprecated. Replaced by `JRAlignment.HORIZONTAL_ALIGN_LEFT`.
  See Also:
    Constant Field Values

### TEXT_ALIGN_CENTER

    static final byte TEXT_ALIGN_CENTER

  Deprecated. Replaced by `JRAlignment.HORIZONTAL_ALIGN_CENTER`.
  See Also:
    Constant Field Values

### TEXT_ALIGN_RIGHT

    static final byte TEXT_ALIGN_RIGHT

  Deprecated. Replaced by `JRAlignment.HORIZONTAL_ALIGN_RIGHT`.
  See Also:
    Constant Field Values

### TEXT_ALIGN_JUSTIFIED

    static final byte TEXT_ALIGN_JUSTIFIED

  Deprecated. Replaced by `JRAlignment.HORIZONTAL_ALIGN_JUSTIFIED`.
  See Also:
    Constant Field Values

### ROTATION_NONE

    static final byte ROTATION_NONE

  Deprecated. Replaced by `RotationEnum.NONE`.
  See Also:
    Constant Field Values

### ROTATION_LEFT

    static final byte ROTATION_LEFT

  Deprecated. Replaced by `RotationEnum.LEFT`.
  See Also:
    Constant Field Values

### ROTATION_RIGHT

    static final byte ROTATION_RIGHT

  Deprecated. Replaced by `RotationEnum.RIGHT`.
  See Also:
    Constant Field Values

### ROTATION_UPSIDE_DOWN

    static final byte ROTATION_UPSIDE_DOWN

  Deprecated. Replaced by `RotationEnum.UPSIDE_DOWN`.
  See Also:
    Constant Field Values

### LINE_SPACING_SINGLE

    static final byte LINE_SPACING_SINGLE

  Deprecated. Replaced by `LineSpacingEnum.SINGLE`.
  See Also:
    Constant Field Values

### LINE_SPACING_1_1_2

    static final byte LINE_SPACING_1_1_2

  Deprecated. Replaced by `LineSpacingEnum.ONE_AND_HALF`.
  See Also:
    Constant Field Values

### LINE_SPACING_DOUBLE

    static final byte LINE_SPACING_DOUBLE

  Deprecated. Replaced by `LineSpacingEnum.DOUBLE`.
  See Also:
    Constant Field Values

Method Detail

### getTextAlignment

    byte getTextAlignment()

  Deprecated. Replaced by `JRAlignment.getHorizontalAlignment()`.

  Gets the text horizontal alignment.

  Returns:
    a value representing one of the horizontal alignment constants in `JRAlignment`

### setTextAlignment

    void setTextAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `JRAlignment.setHorizontalAlignment(byte)`.

  Sets the text horizontal alignment.

  Parameters:
    `horizontalAlignment` - a value representing one of the horizontal alignment constants in `JRAlignment`

### setStyledText

    void setStyledText(boolean isStyledText)

  Deprecated. Replaced by `JRCommonText.setMarkup(String)`.

  Specifies whether the text can contain style tags.

### setStyledText

    void setStyledText(java.lang.Boolean isStyledText)

  Deprecated. Replaced by `JRCommonText.setMarkup(String)`.

### getBox

    JRBox getBox()

  Deprecated. Replaced by `JRBoxContainer.getLineBox()`

  Returns an object containing all border and padding properties for this text element

### getFont

    JRFont getFont()

  Deprecated.

  Returns an object containing all font properties for this text element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com